vprocss: periph.c File Reference

| vprocss Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
periph.c File Reference

## Overview

This is top level resource file that will initialize all system level peripherals.

    MODIFICATION HISTORY:

    Ver   Who    Date     Changes

    1.00  rc   07/07/14   First release
    2.00  dmc  12/02/15   Removed UART driver instance
               01/25/16   Remove inclusion xdebug.h and use of xdbg_printf()
               01/25/16   Support a new GPIO instance to reset IP inside the VPSS

## Macros
Reset Network
The following constants define various reset lines in the subsystem
#define | XPER_HLSIP_RESET (0x00)
#define | XPER_HLSIP_ENABLE (0x01)

## Functions
void | XPeriph_ReportDeviceInfo (XPeriph *InstancePtr)
| This function reports system wide common peripherals included in the design. More...
int | XPeriph_PowerOnInit (XPeriph *InstancePtr)
| This function initializes system wide common peripherals. More...
void | XPeriph_ResetHlsIp (XPeriph *InstancePtr)
| This function resets the Hls IP block(s) More...
void | XPeriph_ConfigTpg (XPeriph *InstancePtr)
| This function configures TPG to user defined parameters. More...
void | XPeriph_SetTpgParams (XPeriph *InstancePtr, u16 width, u16 height, XVidC_ColorFormat Cformat, u16 Pattern, u16 IsInterlaced)
| This function programs TPG to user defined resolution. More...
void | XPeriph_DisableTpg (XPeriph *InstancePtr)
| This function stops TPG IP. More...
void | XPeriph_TpgDbgReportStatus (XPeriph *InstancePtr)
| This function reports TPG Status. More...
void | XPeriph_ConfigVtc (XPeriph *InstancePtr, XVidC_VideoStream *StreamPtr, u32 PixPerClk)
| This function configures VTC to output parameters. More...

## Function Documentation

void XPeriph_ConfigTpg | ( | XPeriph * | InstancePtr | ) |

This function configures TPG to user defined parameters.

Parameters

  InstancePtr | is a pointer to the peripheral instance

void XPeriph_ConfigVtc | ( | XPeriph * | InstancePtr,
|  | XVidC_VideoStream * | StreamPtr,
|  | u32 | PixPerClk
| ) |  |

This function configures VTC to output parameters.

Parameters

  InstancePtr | is a pointer to the peripheral instance
  StreamPtr | is a pointer output stream

void XPeriph_DisableTpg | ( | XPeriph * | InstancePtr | ) |

This function stops TPG IP.

Parameters

  InstancePtr | is a pointer to the peripheral instance

int XPeriph_PowerOnInit | ( | XPeriph * | InstancePtr | ) |

This function initializes system wide common peripherals.

Parameters

  InstancePtr | is a pointer to the Subsystem instance to be worked on.

Returns
  XST_SUCCESS

References XPeriph_ResetHlsIp().

Referenced by XSys_Init().

void XPeriph_ReportDeviceInfo | ( | XPeriph * | InstancePtr | ) |

This function reports system wide common peripherals included in the design.

Parameters

  InstancePtr | is a pointer to the Subsystem instance to be worked on.

Referenced by XSys_ReportSystemInfo().

void XPeriph_ResetHlsIp | ( | XPeriph * | InstancePtr | ) |

This function resets the Hls IP block(s)

Parameters

  InstancePtr | is a pointer to the peripheral instance

Referenced by XPeriph_PowerOnInit().

void XPeriph_SetTpgParams | ( | XPeriph * | InstancePtr,
|  | u16 | width,
|  | u16 | height,
|  | XVidC_ColorFormat | Cformat,
|  | u16 | Pattern,
|  | u16 | IsInterlaced
| ) |  |

This function programs TPG to user defined resolution.

Parameters

  InstancePtr | is a pointer to the peripheral instance
  width | is the new active width
  height | is the new active height

References XPeriph_SetTPGColorFormat, XPeriph_SetTPGHeight, XPeriph_SetTPGInterlacedMode, XPeriph_SetTPGPattern, and XPeriph_SetTPGWidth.

void XPeriph_TpgDbgReportStatus | ( | XPeriph * | InstancePtr | ) |

This function reports TPG Status.

Parameters

  InstancePtr | is a pointer to the peripheral instance